Skip to main content
GET
/
api
/
v2
/
chatbots
/
{chatbotId}
/
knowledge
/
sources
/
github
/
files
List GitHub files
curl --request GET \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/sources/github/files \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "sources": [
      {
        "id": "source-id",
        "name": "Example source",
        "createdAt": "2026-05-13T00:00:00.000Z"
      }
    ],
    "pagination": {
      "limit": 20,
      "hasNextPage": false,
      "nextCursor": null
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Query Parameters

connectionId
string

GitHub source connection ID.

owner
string

GitHub owner.

repo
string

GitHub repository name.

branch
string

GitHub branch.

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required